Page Summary
-
An image is imported via an HTTP POST request to the specified Earth Engine API endpoint.
-
The request requires specifying the Google Cloud Platform project and the
earthengine.imports.createIAM permission. -
The request body includes an
imageManifestdescribing the image composition from files, along with optional description, overwrite preference, and a unique request ID. -
The response body on success contains an
Operationinstance. -
Authorization requires one of the specified OAuth scopes.
Imports an image.
HTTP request
POST https://earthengine.googleapis.com/v1/{project=projects/*}/image:import
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
The project id or project number of the Google Cloud Platform project that should be treated as the service consumer for this request. Format is Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"imageManifest": {
object ( |
| Fields | |
|---|---|
imageManifest |
The image manifest. |
description |
A human-readable name of the task. |
overwrite |
Whether to allow overwriting an existing asset. |
requestId |
A unique string used to detect duplicated requests. If more than one request is made by the same user with the same non-empty |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/earthenginehttps://www.googleapis.com/auth/cloud-platform
For more information, see the OAuth 2.0 Overview.